#include <stdio.h>
#include <stdlib.h>

struct ListNode {
    int data;
    struct ListNode *next;
};

struct ListNode *readlist();
struct ListNode *getodd( struct ListNode **L );
void printlist( struct ListNode *L )
{
     struct ListNode *p = L;
     while (p) {
           printf("%d ", p->data);
           p = p->next;
     }
     printf("\n");
}

int main()
{
    struct ListNode *L, *Odd;
    L = readlist();
    Odd = getodd(&L);
    printlist(Odd);
    printlist(L);

    return 0;
}

/* 你的代码将被嵌在这里 */

struct ListNode *readlist() {
    struct ListNode *head = NULL, *p;
    int x;
    while (1) {
        scanf("%d", &x);
        if (x == -1) {
            p->next = NULL;
            break;
        }
        struct ListNode *node;
        node = (struct ListNode*)malloc(sizeof(*node));
        node->data = x;
        if (head == NULL) {
            p = node, head = p;
        }
        else {
            p->next = node;
            p = node;
        }   
    }
    return head;
}

struct ListNode *getodd(struct ListNode **L) {
    struct ListNode *oddhead = NULL, *p = *L, *prv = NULL, *oddp = NULL;
    while (p != NULL) {
        if (p->data % 2 == 1) {
            struct ListNode *tmp = p;
            if (prv == NULL) {
                *L = p->next;
            }
            else {
                prv->next = p->next;
            }
            p = p->next;
            tmp->next = NULL;
            if (oddhead == NULL) {
                oddhead = tmp;
                oddp = tmp;
            }
            else {
                oddp->next = tmp;
                oddp = tmp;
            }
        }
        else {
            prv = p;
            p = p->next;
        }
    }
    return oddhead;
}