int GCD(int x, int y) {
    if (y == 0) {
        return x;
    }
    else {
        return GCD(y, x % y);
    }
}

Fraction fraction_reduce(Fraction f) {
    if (f.numerator >= f.denominator) {
        f.integer = f.numerator / f.denominator;
        f.numerator -= f.integer * f.denominator;
    }
    int gcd = GCD(f.denominator, f.numerator);
    f.numerator /= gcd, f.denominator /= gcd;
    return f;
}